=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/pygobject/([\d\.]+)[02468]/pygobject-([\d\.]+)\.tar\.gz
