## pygobject 2.28.6

=== debian/changelog ===
pygobject (2.28.6-5) unstable; urgency=low

  * debian/patches/30_unversioned_python.patch:
    - Let pygobject-codegen-2.0 to call unversioned python interpreter
      to ease switching to different default versions (Closes: #632367).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 17 Sep 2011 16:24:20 +0200

pygobject (2.28.6-4) unstable; urgency=low

  * debian/rules: Create shlibs for python3 packages, too.
  * debian/rules: Call dh_strip on python3-gobject, too.

 -- Martin Pitt <mpitt@debian.org>  Thu, 14 Jul 2011 12:04:44 +0200

pygobject (2.28.6-3) unstable; urgency=low

  * Cherrypick some fixes from pygobject-2-28 upstream branch:
    - 00git_test_case_hang.patch: Fix hang in test suite when
      TestGDBusClient.test_native_calls_async() test case fails.
    - 00git_messagebox_type.patch: Fix MessageBox so it correctly handles
      the type constructor param.
    - 00git_python3_build.patch, 00git_python3-maketrans.patch: Python 3 fixes.
    - 00git_gio_test.patch: Port test_properties from static gio to GI Gio, so
      that the tests will also work with Python 3.
  * debian/control.in, debian/rules: Add and build python3-gobject and
    python3-gobject-dbg packages. Until we get py3cairo packaged in Debian (in
    the works), we need to build the python3 flavour with --disable-cairo, and
    apply some workarounds in debian/rules (see the "FIXME"s); these will
    disappear again with py3cairo.

 -- Martin Pitt <mpitt@debian.org>  Thu, 14 Jul 2011 11:17:05 +0200

pygobject (2.28.6-2) unstable; urgency=low

  * Cherrypick some fixes from pygobject-2-28 upstream branch:
    - Add 00git_enum_properties.patch: Add support for enums in
      gobject.property
    - Add 00git_cairo_init.patch: Correctly initialize the _gi_cairo_functions
      array to be zero filled
    - 00git_textiter_crash.patch: Fix crash in Gtk.TextIter overrides

 -- Martin Pitt <mpitt@debian.org>  Fri, 08 Jul 2011 12:01:44 +0200

pygobject (2.28.6-1) unstable; urgency=low

  * New upstream bug fix release.
  * Drop 21_fix_symbol_names_to_be_locale_independent.patch, fixed upstream.
  * debian/watch: Fix syntax to actually catch current versions.
  * debian/watch: Move to .bz2 tarballs, upstream stopped publishing gz.

 -- Martin Pitt <mpitt@debian.org>  Tue, 14 Jun 2011 11:05:13 +0200

pygobject (2.28.4-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Drop ${python:Provides} for python-gobject-cairo (it depends on 
    python-cairo).

  [ Laurent Bigonville ]
  * New upstream release.
    - Revert ABI break (Closes: #625703)
  * debian/control.in: Bump Standards-Version to 3.9.2 (no further changes)
  * debian/patches/21_fix_symbol_names_to_be_locale_independent.patch:
    Fix case conversion issue (Taken from upstream)

 -- Laurent Bigonville <bigon@debian.org>  Fri, 06 May 2011 14:05:14 +0200

pygobject (2.28.3-3) unstable; urgency=low

  * Rebuild for python 2.7 transition, no source changes.

 -- Laurent Bigonville <bigon@debian.org>  Tue, 19 Apr 2011 21:38:48 +0200

pygobject (2.28.3-2) unstable; urgency=low

  * Upload to unstable

 -- Laurent Bigonville <bigon@debian.org>  Sun, 10 Apr 2011 23:41:56 +0200
