=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
 Source: pygobject
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Josselin Mouette <joss@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>
+Maintainer: Josselin Mouette <joss@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper (>= 7),
                gnome-pkg-tools (>= 0.10),
                dh-autoreconf,
                cdbs (>= 0.4.90~),
                quilt,
                python-all-dev (>= 2.6.6-3~),
+               python3-all-dev,
                libglib2.0-dev (>= 2.24.0),
                libcairo2-dev,
                libffi-dev (>= 3.0.5),
@@ -28,13 +28,14 @@
                docbook-xsl,
                autotools-dev,
                python-all-dbg,
+               python3-all-dbg,
                python-apt-dbg,
                python-cairo-dbg,
                gir1.2-glib-2.0,
                gir1.2-gtk-3.0,
                gir1.2-freedesktop
 X-Python-Version: >= 2.5
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/pygobject
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/unstable/pygobject
 
@@ -57,13 +58,27 @@
  This package contains the Python bindings for GObject. It is mostly
  used by other bindings to map their GObjects to Python objects.
 
+Package: python3-gobject
+Architecture: any
+Depends: ${python3:Depends},
+         ${shlibs:Depends},
+         ${misc:Depends},
+         gir1.2-glib-2.0
+Suggests: python3-gobject-dbg
+Description: Python 3 bindings for the GObject library
+ GObject is an abstraction layer that allows programming with an object
+ paradigm that is compatible with many languages. It is a part of Glib,
+ the core library used to build GTK+ and GNOME.
+ .
+ This package contains the Python 3 bindings for GObject. It is mostly
+ used by other bindings to map their GObjects to Python 3 objects.
+
 Package: python-gobject-cairo
 Architecture: any
 Depends: ${python:Depends},
          ${shlibs:Depends},
          ${misc:Depends},
          python-cairo
-Provides: ${python:Provides}
 Description: Python Cairo bindings for the GObject library
  GObject is an abstraction layer that allows programming with an object
  paradigm that is compatible with many languages. It is a part of Glib,
@@ -103,3 +118,18 @@
  used by other bindings to map their GObjects to Python objects.
  .
  This package contains the extensions built for the Python debug interpreter.
+
+Package: python3-gobject-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-gobject (= ${binary:Version})
+Description: Python 3 bindings for the GObject library (debug extension)
+ GObject is an abstraction layer that allows programming with an object
+ paradigm that is compatible with many languages. It is a part of Glib,
+ the core library used to build GTK+ and GNOME.
+ .
+ This package contains the Python 3 bindings for GObject. It is mostly
+ used by other bindings to map their GObjects to Python 3 objects.
+ .
+ This package contains the extensions built for the Python 3 debug interpreter.
