## pygobject 3.0.0

=== debian/changelog ===
pygobject (3.0.0-0ubuntu4) oneiric-proposed; urgency=low

  * Add 00git_wrapper_ref.patch: When converting an object with transfer none,
    make sure the wrapper owns a ref. (LP: #874299)
  * Add 00git_marshal_gvariant_arrays.patch: Fix marshaling of arrays of
    GVariants. Thanks Mikkel Kamstrup Erlandsen! (LP: #855402)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 25 Oct 2011 09:25:54 +0200

pygobject (3.0.0-0ubuntu3) oneiric-proposed; urgency=low

  * Add 00git_allow_gboxed_properties.patch: Add the GBoxed type as valid type
    to the gobject property helper. This fixes the "snippets" gedit plugin.
    Patch taken from upstream git head.  (LP: #877397)
  * Add 00git_gboxed_property_test.patch: Corresponding test case. Taken from
    upstream git head.
  * Add 00git_gdk2_overrides_atom_intern.patch: Fix Gdk override to also work
    for Gdk 2.0. Patch also pushed to upstream git. (LP: #875399)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 19 Oct 2011 09:05:09 +0200

pygobject (3.0.0-0ubuntu2) oneiric; urgency=low

  * Add 00git_access_union_members.patch: Fix accessing union members of
    structs again. This unbreaks e. g. GEdit plugins. Patch taken from
    upstream git head. (LP: #862627)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 03 Oct 2011 14:45:57 +0200

pygobject (3.0.0-0ubuntu1) oneiric; urgency=low

  * Add 00git_fix_custom_widgets.py: Properly fix refcounting for floating
    objects and fix regression of not calling custom widget constructors when
    they get created through GtkBuilder. Patches taken from upstream git head.
    (LP: #856669)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 26 Sep 2011 10:06:48 +0200

pygobject (3.0.0-0svn1) oneiric; urgency=low

  Upload current Debian svn head.

  * New upstream release.
  * Drop revert-refcount-fix.patch. Fixed properly with new upstream version.
  * debian/rules: Drop cleanup of old static bindings leftovers, fixed
    upstream.
  * debian/control.in: Bump gobject-introspection build dependency as per
    upstream configure.ac.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 21 Sep 2011 15:26:30 +0200

pygobject (2.90.3-2) experimental; urgency=low

  * debian/control.in, debian/rules: Bring back python-gobject-dev package, to
    ship the include and pkg-config file. This is still needed by e. g.
    libpeas. Depend on python-gobject-2-dev to retain backwards compatibility,
    similar to the other binary packages.

 -- Martin Pitt <mpitt@debian.org>  Tue, 06 Sep 2011 13:54:22 +0200

pygobject (2.90.3-1) experimental; urgency=low

  * New upstream release.

 -- Martin Pitt <mpitt@debian.org>  Fri, 02 Sep 2011 07:58:48 +0200

pygobject (2.90.2-2) experimental; urgency=low

  * Add revert-refcount-fix.patch: Revert
    http://git.gnome.org/browse/pygobject/commit/?id=7bc4122897 as a
    workaround for segfaults when creating custom widgets through the GObject
    constructor (such as through GtkBuilder). This works around
    https://bugzilla.gnome.org/show_bug.cgi?id=657403. This patch was reverted
    in the 2-28 branch as well, so reverting it here is no regression from
    2.28. (LP: #834168)

 -- Martin Pitt <mpitt@debian.org>  Tue, 30 Aug 2011 08:30:31 +0200

pygobject (2.90.2-1) experimental; urgency=low

  * New upstream bug fix release.
  * debian/copyright: Update to current licenses/copyrights, and convert to
    DEP-5.

 -- Martin Pitt <mpitt@debian.org>  Fri, 19 Aug 2011 10:44:05 +0200

pygobject (2.90.1-1) experimental; urgency=low

  * debian/control.in: Update Vcs-* for experimental branch.
  * New upstream release:
    - New rewritten invoker is twice as fast and easier to extend and debug
    - Complete break from static bindings so we may improve the core without
      breaking legacy APIs
    - Better type handling
    - Parallel installable with PyGObject 2.28 for legacy binding support
      (2.28 must be compiled with –disable-introspection)
    - Fixed object array handling
    - Added more overrides for PyGTK API emulation
    - Support for function calling using keyword arguments
    - GObject and GLib symbols can now have overrides
    - All static bit removed or made private
    - GVariants now work from callback returns
    - Note that this now enforces a consistent move to the GI bindings. I. e.
      you need to change all "import gobject" statements into "from
      gi.repository import GObject", same for glib.
   * Drop debian/patches/00git_*.patch, all upstream.
   * Drop 20_deprecated_spam.patch, obsolete.
   * debian/control.in: The static bindings (glib, gobject, pygtk, gtk, etc.)
     are deprecated and are now shipped in the separate packages
     python-gobject-2{,-dbg}. Add a dependency to these for the time being to
     not break backwards compatibility. Once all packages have been ported to
     use the GI bindings, this dependency and pygobject-2 will be dropped.
   * debian/control.in: Update package descriptions to point out that this is
     now GI only.
   * debian/control.in, debian/rules: Drop python-gobject-dev package. It's
     not relevant any more for this version, and now built from the
     pygobject-2 source package.
  * debian/rules: Bump shlibs.
  * Drop debian/python-gobject.examples: These are for the old static
    bindings. http://git.gnome.org/browse/pygobject/tree/demos is an actually
    useful and comprehensive example, but not shipped in the release tarballs.
  * debian/rules: Drop obsolete permission fixing, that only applied to the
    examples.

 -- Martin Pitt <mpitt@debian.org>  Wed, 17 Aug 2011 12:01:54 +0200
