=== debian/rules ===
--- 
+++ 
@@ -80,14 +80,14 @@
 build: $(PYVERS:%=build-%/build-stamp) $(PYVERS:%=dbg-build-%/build-stamp)
 
 build-%/check-stamp: build-%/build-stamp
-	find gi glib gobject gio -name '*.py' -exec cp '$(CURDIR)/{}' build-$*/'{}' \;
+	find gi -name '*.py' -exec cp '$(CURDIR)/{}' build-$*/'{}' \;
 	# don't run the tests under fakeroot, otherwise they will try to
 	# connect to root's session D-BUS
 	-PYTHON=/usr/bin/python$* LD_PRELOAD= xvfb-run $(MAKE) -C build-$* check
 	touch $@
 
 dbg-build-%/check-stamp: dbg-build-%/build-stamp
-	find gi glib gobject gio -name '*.py' -exec cp '$(CURDIR)/{}' dbg-build-$*/'{}' \;
+	find gi -name '*.py' -exec cp '$(CURDIR)/{}' dbg-build-$*/'{}' \;
 	# don't run the tests under fakeroot, otherwise they will try to
 	# connect to root's session D-BUS
 	-PYTHON=/usr/bin/python$*-dbg LD_PRELOAD= xvfb-run $(MAKE) -C dbg-build-$* check
@@ -98,14 +98,17 @@
 build-2.%/install-stamp: build-2.%/build-stamp
 	dh_testdir
 	dh_testroot
-	PYTHON=/usr/bin/python2.$* $(MAKE) -C build-2.$* install DESTDIR=$(CURDIR)/debian/python-gobject-dev pyexecdir=$(call py_libdir_sh, 2.$*)
+	PYTHON=/usr/bin/python2.$* $(MAKE) -C build-2.$* install DESTDIR=$(CURDIR)/debian/python-gobject pyexecdir=$(call py_libdir_sh, 2.$*)
+	# install development parts
+	mkdir -p debian/python-gobject-dev/usr/lib
+	cp -r debian/python-gobject/usr/include debian/python-gobject-dev/usr/
+	cp -r debian/python-gobject/usr/lib/pkgconfig debian/python-gobject-dev/usr/lib
+	# remove stuff that we do not need in python-gobject
+	-find debian/python-gobject/ ! -path '*/usr/lib/*' -delete
+	find debian/python-gobject/ \( -name '*.pyc' -o -name '*.pyo' -o -name '*.la' \) -delete
 	# dh_python2 trips over this empty dir in the sanity check for >= 2.6, so remove it
-	-rmdir debian/python-gobject-dev/usr/lib/python2.$*/site-packages
-	# until all reverse dependencies of pygobject have been converted to
-	# dh_python2, install a library search path which is backwards
-	# compatible to pysupport (see Debian#614764)
-	echo "/usr/lib/pymodules/python2.$*/gtk-2.0/" > $(CURDIR)/debian/python-gobject-dev/$(call py_libdir_sh, 2.$*)/gtk-2.0-pysupport-compat.pth
-	touch $@
+	rmdir debian/python-gobject/usr/lib/python2.$*/site-packages
+	rm -r debian/python-gobject/usr/lib/pkgconfig
 
 build-3.%/install-stamp: build-3.%/build-stamp
 	dh_testdir
@@ -156,17 +159,12 @@
 	dh_prep
 	rm -f $(PYVERS:%=build-%/install-stamp) $(PYVERS:%=dbg-build-%/install-stamp)
 	$(MAKE) -f debian/rules $(PYVERS:%=build-%/install-stamp) $(PYVERS:%=dbg-build-%/install-stamp)
-	find debian/python-gobject-dev -name \*.la -delete
 	for i in $(PYVERS); do \
 		[ "$${i#3.}" = "$$i" ] || continue; \
 		mkdir -p debian/python-gobject-cairo/$(call py_libdir_sh, $$i)/gi; \
-		mv debian/python-gobject-dev/$(call py_libdir_sh, $$i)/gi/_gi_cairo.so debian/python-gobject-cairo/$(call py_libdir_sh, $$i)/gi; \
+		mv debian/python-gobject/$(call py_libdir_sh, $$i)/gi/_gi_cairo.so debian/python-gobject-cairo/$(call py_libdir_sh, $$i)/gi; \
 	done
 	mkdir -p debian/python-gobject/usr/lib
-	mv debian/python-gobject-dev/usr/lib/python* debian/python-gobject/usr/lib/
-	mv debian/python-gobject-dev/usr/lib/libpyglib-*so.* \
-	   debian/python-gobject/usr/lib
-	rm -rf debian/python-gobject-dev/usr/lib/python*
 	for i in $$(find debian/python-gobject-dbg -name '*.so' -path 'debian/python-gobject-dbg/usr/lib/python*/*-packages/*'); do \
 		b=$$(basename $$i .so); \
 		mv $$i $$(dirname $$i)/$${b}_d.so; \
@@ -196,8 +194,6 @@
 	dh_link -i
 	dh_compress -i -X.py
 	dh_fixperms -i
-	# More permission fixing
-	chmod 755 `grep -rl "^#\!.*python" debian/python-gobject-dev/usr`
 	dh_python2 -i /usr/share/pygobject
 	dh_installdeb -i
 	dh_gencontrol -i
@@ -216,3 +212,10 @@
 	rm -rf debian/python-gobject-dbg/usr/share/doc/python-gobject-dbg
 	ln -sf python-gobject debian/python-gobject-dbg/usr/share/doc/python-gobject-dbg
 	dh_link -s
+	dh_compress -s -X.py
+	dh_fixperms -s
+	dh_python2 -a
+	dh_python3 -a
+	dh_makeshlibs -ppython-gobject      -V'python-gobject (>= 2.90.1)'
+	dh_makeshlibs -ppython-gobject-dbg  -V'python-gobject-dbg (>= 2.90.1)'
+	dh_makeshlibs -ppython3-gobject     -V'python3-gobject (>= 2.90.1)'
