## pygobject 3.0.2

=== debian/changelog ===
pygobject (3.0.2-4) unstable; urgency=low

  [ Sjoerd Simons ]
  * debian/control.in: Make the Vcs-* tags refer to the unstable repos

  [ Martin Pitt ]
  * debian/control.in: Drop gir1.2-gtk-3.0 build dependency on m68k, as that
    arch does not yet have GTK-3 yet. It is only needed for the testsuite
    anyway. As per request from Thorsten Glaser.

  [ Josselin Mouette ]
  * Bump dependencies on gir1.2-glib-2.0 according to upstream 
    requirements. Closes: #649611.
  * Rename packages to python-gi*.
  * Remove dependencies on python-gobject-2*. The dependency will be the 
    other way round so that the old pygobject-2 can be dropped 
    eventually.
  * Add appropriate Breaks/Replaces/Conflicts/Provides.
  * Add a missing python-gi-cairo → python-gi dependency.
  * Drop a pair of unneeded Recommends/Suggests.
  * Add transitional python-gobject/python-gobject-dev packages that 
    depend on both python-gi* and python-gobject-2*.
  * Same for python-gobject-dbg.
  * Break python-nautilus <= the current version which is broken by 
    pygobject 3.x. Closes: #649861. The only other affected package is 
    totem-plugins and the issue is not severe enough to warrant blocking 
    the ongoing transitions.

 -- Josselin Mouette <joss@debian.org>  Thu, 24 Nov 2011 18:43:28 +0100

pygobject (3.0.2-3) unstable; urgency=low

  * Upload to unstable

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 20 Nov 2011 13:02:33 +0000

pygobject (3.0.2-2) experimental; urgency=low

  * debian/control.in: Add locales build dependency, to ensure that the test
    suite's localedef command can succeed.
  * debian/control.in: Bump g-i build deps to >= 1.31.0, as our test suite
    needs methods from that version.
  * Add 00git_marshal_gvariant_arrays.patch: Fix marshaling of arrays of
    GVariants. Thanks Mikkel Kamstrup Erlandsen! (LP: #855402)

 -- Martin Pitt <mpitt@debian.org>  Thu, 27 Oct 2011 07:25:09 +0200

pygobject (3.0.2-1) experimental; urgency=low

  * New upstream release:
    - Allow GBoxed types as property. (LP: #877397)
    - When converting an object with transfer none, make sure the wrapper owns
      a ref. (LP: #874299)
    - Gdk overrides: Unbreak for Gdk-2.0. (LP: #875399)
    - Do union member checks for unions that are parameters.
    - Fix "Returns: (skip)" method calls without (out) arguments.

 -- Martin Pitt <mpitt@debian.org>  Sun, 23 Oct 2011 12:54:30 +0200

pygobject (3.0.1-1) experimental; urgency=low

  * New upstream release.
  * Drop revert-refcount-fix.patch. Fixed properly with new upstream version.
  * debian/rules: Drop cleanup of old static bindings leftovers, fixed
    upstream.
  * debian/control.in: Bump gobject-introspection build dependency as per
    upstream configure.ac.
  * debian/control.in: Drop unused cdbs build dependency.
  * debian/control.in: Fix p-g-dev → p-g dependency to be binNMUable, thanks
    lintian.

 -- Martin Pitt <mpitt@debian.org>  Fri, 21 Oct 2011 09:43:49 +0200
